import { type Base, genBase } from "./_base"
import type { AntibioticSrc } from "./antibiotic-src"

export interface AntibioticInUse extends Base {
  mcuOrder_id: number
  antibioticSrc_code: string
  antibioticSrc: AntibioticSrc
}

export function genDevice(): Pick<AntibioticInUse, 'mcuOrder_id' | 'antibioticSrc_code'> {
  return {
    ...genBase(),
    mcuOrder_id: 0,
    antibioticSrc_code: ''
  }
}
